Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class EditElementMouseTransformFactory.SelectElementsInAreaTransform

    java.lang.Object
      jpicedt.graphic.toolkit.AbstractMouseTransformFactory.SelectAreaTransform
          jpicedt.graphic.toolkit.EditElementMouseTransformFactory.SelectElementsInAreaTransform

All Implemented Interfaces:
  MouseTransform

Enclosing class:
  EditElementMouseTransformFactory

protected class EditElementMouseTransformFactory.SelectElementsInAreaTransform
extends AbstractMouseTransformFactory.SelectAreaTransform

a mouse-transform that selects all elements inside a rectangle dragged by the user

Constructor Summary
`EditElementMouseTransformFactory.SelectElementsInAreaTransform(Element target, boolean addToSelection)`

Method Summary
`String` | `getHelpMessage()` Return a help-message for the UI, that makes sense with this transform.
`boolean` | `next(PEMouseEvent e)` Called when the mouse is released.
`void` | `start(PEMouseEvent e)` called by mousePressed
`String` | `toString()`

Methods inherited from class jpicedt.graphic.toolkit.AbstractMouseTransformFactory.SelectAreaTransform
`getClipRectangle, getCursor, getSelectionRectangle, paint, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditElementMouseTransformFactory.SelectElementsInAreaTransform

    public EditElementMouseTransformFactory.SelectElementsInAreaTransform(Element target,
                                                                          boolean addToSelection)

Parameters:
  `target` - if non-null, this element will be selected by a call to "start", before starting to draw the selection rectangle (click on a non-selected element)

Method Detail

### start

    public void start(PEMouseEvent e)

  called by mousePressed

  Specified by:
    `start` in interface `MouseTransform`
  Overrides:
    `start` in class `AbstractMouseTransformFactory.SelectAreaTransform`

### next

    public boolean next(PEMouseEvent e)

  Called when the mouse is released. Selects every elements inside the selection area, including the element being currently under the cursor.

  Specified by:
    `next` in interface `MouseTransform`
  Overrides:
    `next` in class `AbstractMouseTransformFactory.SelectAreaTransform`

### getHelpMessage

    public String getHelpMessage()

  Description copied from interface: `MouseTransform`
  Return a help-message for the UI, that makes sense with this transform.

  Specified by:
    `getHelpMessage` in interface `MouseTransform`
  Overrides:
    `getHelpMessage` in class `AbstractMouseTransformFactory.SelectAreaTransform`
  Returns:
    a help-message for the UI, that makes sense with this transform.

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractMouseTransformFactory.SelectAreaTransform`
  Returns:
    a textual representation of this transform for debugging purpose

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org